epp_PollRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.epp_PollRsp class

### org.openrtk.idl.epprtk

# Class epp_PollRsp

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.epp_PollRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_PollRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent the poll response from the EPP server. Note usually instantiated by the RTK user, but rather by EPPPoll and retrieved using that class' getResponseData() method. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/epp_PollRsp.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `EPPPoll`, `epp_PollReq`

  ## Field Summary
  `epp_PollResData` | `m_res_data` The retrieved message data.
  `epp_Response` | `m_rsp` The common and generic response element.

  ## Constructor Summary
  `epp_PollRsp()` Empty constructor
  `epp_PollRsp(epp_Response _m_rsp, epp_PollResData _m_res_data)` The constructor with initializing variables.

  ## Method Summary
  `epp_PollResData` | `getResData()` Accessor method for the retrieved message data
  `epp_Response` | `getRsp()` Accessor method for the common and generic response element.
  `void` | `setResData(epp_PollResData value)` Accessor method for the retrieved message data
  `void` | `setRsp(epp_Response value)` Accessor method for the common and generic response element.
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_res_data

    public epp_PollResData m_res_data

> The retrieved message data.
> See Also:
>   `setResData(epp_PollResData)`, `getResData()`

### m_rsp

    public epp_Response m_rsp

> The common and generic response element.
> See Also:
>   `getRsp()`

## Constructor Details

### epp_PollRsp

    public epp_PollRsp()

> Empty constructor

### epp_PollRsp

    public epp_PollRsp(epp_Response _m_rsp,
                       epp_PollResData _m_res_data)

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_res_data` - The retrieved message data

## Method Details

### getResData

    public epp_PollResData getResData()

> Accessor method for the retrieved message data
> Returns:
>   The retrieved message data
> See Also:
>   `m_res_data`

### getRsp

    public epp_Response getRsp()

> Accessor method for the common and generic response element.
> Returns:
>   The value for the response element
> See Also:
>   `m_rsp`

### setResData

    public void setResData(epp_PollResData value)

> Accessor method for the retrieved message data
> Parameters:
>   `value` - The retrieved message data
> See Also:
>   `m_res_data`

### setRsp

    public void setRsp(epp_Response value)

> Accessor method for the common and generic response element.
> Parameters:
>   `value` - The new value for the response element
> See Also:
>   `m_rsp`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS